Breadcrumbs

Metavault API - Update data package table

UpdateDataPackageTable - PUT

Path

/api/projects/{projectId}/metavault/sourcesystems/{sourceNameOrId}/datapackages/{dataPackageNameOrId}/tables/{tableId}

Http Method

PUT

Overview

Required permissions

  • Write access to the Source module. BUILD WRITE

Request

Request body

JSON
{
  "query": "",
  "queryType": "Table",
  "tableName": "myso01_mydatapackage1",
  "columns": [
    {
      "name": "column1",
      "dataType": "String",
      "nullable": false,
      "primaryKey": true,
      "businessDescription": "",
      "businessName": "",
      "technicalDescription": "",
      "length": 255
    },
    {
      "name": "column2",
      "dataType": "String",
      "nullable": true,
      "primaryKey": false,
      "businessDescription": "",
      "businessName": "",
      "technicalDescription": "",
      "length": 50
    },
    {
      "name": "column3",
      "dataType": "String",
      "nullable": true,
      "primaryKey": false,
      "businessDescription": "",
      "businessName": "",
      "technicalDescription": "",
      "length": 10
    }
  ]
}

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "columns": [
      {
        "id": "df84cf1a9690437894fa6f5506344167",
        "name": "column1",
        "dataType": "String",
        "length": 255,
        "baseType": {
          "isText": true,
          "isBinary": false,
          "type": "String",
          "dataType": "String",
          "length": 255,
          "autoIncrement": false
        },
        "nullable": false,
        "technicalDescription": "",
        "businessDescription": "",
        "businessName": "",
        "primaryKey": true,
        "typeFullName": "VARCHAR(255)"
      },
      {
        "id": "eb44fb54f6cb4198a06d546da230cb19",
        "name": "column2",
        "dataType": "String",
        "length": 50,
        "baseType": {
          "isText": true,
          "isBinary": false,
          "type": "String",
          "dataType": "String",
          "length": 50,
          "autoIncrement": false
        },
        "nullable": true,
        "technicalDescription": "",
        "businessDescription": "",
        "businessName": "",
        "primaryKey": false,
        "typeFullName": "VARCHAR(50)"
      },
      {
        "id": "ed64872843064b60845561bbc1d42059",
        "name": "column3",
        "dataType": "String",
        "length": 10,
        "baseType": {
          "isText": true,
          "isBinary": false,
          "type": "String",
          "dataType": "String",
          "length": 10,
          "autoIncrement": false
        },
        "nullable": true,
        "technicalDescription": "",
        "businessDescription": "",
        "businessName": "",
        "primaryKey": false,
        "typeFullName": "VARCHAR(10)"
      }
    ]
  },
  "id": "23973d8d0fea47bf8e45d991dbc33d5f",
  "tableName": "myso01_mydatapackage1",
  "targetTableName": "myso01_mydatapackage1",
  "targetSchemaName": "stg",
  "sourceSystemId": "3c24b0fb-a999-48e9-9b41-209412a47df3",
  "dataPackageId": "ca761ccf-1cbd-4d5f-92ca-bccef1c5deda",
  "query": "",
  "queryType": "Table",
  "isQueryBased": false
}